/*
 * Boot-related utilities.
 *
 * Copyright (C) 2024 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#include <stddef.h>

#include "boot.h"



// Return a pointer to any partition table in the provided data or NULL if the
// data appears not to contain such a table.

struct partition_table_entry *get_partition_table(uint8_t *data)
{
  if ((data[0x1fe] != 0x55) || (data[0x1ff] != 0xaa))
    return NULL;

  return (struct partition_table_entry *) &data[0x1be];
}
